Page MenuHomePhabricator

phan and taint/sec for CentralAuth
Closed, ResolvedPublic

Description

rECAU extension-CentralAuth could use phan and sec-checks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2018, 12:32 PM
MarcoAurelio updated the task description. (Show Details)Mar 10 2018, 3:46 PM

Change 418721 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/CentralAuth@master] [WIP] add phan tests for CentralAuth

https://gerrit.wikimedia.org/r/418721

Do I have to add on the 'scripts' section what's being mentioned https://www.mediawiki.org/wiki/Phan-taint-check-plugin as well, or does the 'extra' script the same?

Change 418721 abandoned by MarcoAurelio:
[WIP] add phan&taint tests for CentralAuth

https://gerrit.wikimedia.org/r/418721

Change 419154 had a related patch set uploaded (by Brian Wolff; owner: Brian Wolff):
[mediawiki/extensions/CentralAuth@master] Minor escaping fixes for phan-taint-check

https://gerrit.wikimedia.org/r/419154

Change 419154 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Minor escaping fixes for phan-taint-check

https://gerrit.wikimedia.org/r/419154

Change 493806 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/CentralAuth@master] Add phan

https://gerrit.wikimedia.org/r/493806

Daimona claimed this task.Mar 2 2019, 1:51 PM

Change 493806 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/CentralAuth@master] Add phan

https://gerrit.wikimedia.org/r/493806

Change 523332 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [CentralAuth] Add phan

https://gerrit.wikimedia.org/r/523332

Change 523332 merged by jenkins-bot:
[integration/config@master] layout: [CentralAuth] Add phan

https://gerrit.wikimedia.org/r/523332

Mentioned in SAL (#wikimedia-releng) [2019-07-15T22:40:55Z] <James_F> Zuul: [CentralAuth] Add phan T189371

Change 493806 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Add phan

https://gerrit.wikimedia.org/r/493806

Daimona closed this task as Resolved.Jul 16 2019, 11:30 AM
Daimona removed a project: Patch-For-Review.

Phan was added, and taint-check done in the subtask.